=== debian/control ===
Source: ros-indigo-ndt-costmap
Section: misc
Priority: extra
Maintainer: Todor Stoyanov <todor.stoyanov@oru.se>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libgl1-mesa-dev, libglu1-mesa-dev, libpcl-1.7-all-dev, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-cv-bridge, ros-indigo-ndt-map, ros-indigo-ndt-visualisation, ros-indigo-pcl-ros
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-ndt-costmap
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, libgl1-mesa-dev, libglu1-mesa-dev, libpcl-1.7-all-dev, ros-indigo-cv-bridge, ros-indigo-ndt-map, ros-indigo-ndt-visualisation, ros-indigo-pcl-ros
Description: The ndt_costmap package
